zenilib: Zeni::Error Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Zeni::Error Struct Reference
Zenilib

The Error Class. More...

`#include <Error.h>`

Inherits std::exception.

Inherited by Zeni::Controllers_Init_Failure, Zeni::Core_Init_Failure, Zeni::Database_Entry_Not_Found, Zeni::Database_File_Not_Loaded, Zeni::Database_Load_Entry_Failed, Zeni::File_Ops_Asset_Load_Failure, Zeni::File_Ops_Init_Failure, Zeni::File_Ops_Initialized, Zeni::Font_Init_Failure, Zeni::Font_Type_Unsupported, Zeni::Frame_Out_of_Range, Zeni::GLSL_ES_Shader_Compilation_Failure, Zeni::Image_Index_Error, Zeni::Image_Init_Failure, Zeni::Invalid_Vertex_Index, Zeni::Light_Out_of_Range, Zeni::Model_Init_Failure, Zeni::Model_Render_Failure, Zeni::Net_Init_Failure, Zeni::Null_Database_Entry_Set, Zeni::Resource_Init_Failure, Zeni::Shader_Init_Failure, Zeni::Shader_Link_Failure, Zeni::Socket_Closed, Zeni::Sound_Buffer_Init_Failure, Zeni::Sound_Source_HW_Init_Failure, Zeni::Sound_Stream_Init_Failure, Zeni::Sound_Stream_Ogg_Read_Failure, Zeni::Sound_Stream_Update_Failure, Zeni::Sprite_Containing_Sprite, Zeni::Sprite_Function_Misapplied, Zeni::TCP_Socket_Init_Failure, Zeni::Texture_Init_Failure, Zeni::Timer_HQ_Init_Failure, Zeni::UDP_Packet_Overflow, Zeni::UDP_Socket_Init_Failure, Zeni::VBuf_Init_Failure, Zeni::VBuf_Render_Failure, Zeni::Video_Init_Failure, Zeni::Video_Render_To_Texture_Error, Zeni::VLUID_Too_Large, Zeni::Widget_Renderer_Wrong_Type, Zeni::Window_Init_Failure, Zeni::XML_Create_Child_Failure, Zeni::XML_Document_Ungood, Zeni::XML_Element_Nonleaf, Zeni::XML_Element_Ungood, Zeni::XML_Load_Failure, Zeni::XML_Remove_Child_Failure, Zeni::XML_Save_Failure, and Zeni::Zero_Gamestate.

## Public Member Functions

| Error (const String &msg_)
| ~Error () throw ()

## Public Attributes

String | msg

## Detailed Description

The Error Class.

A simple class for throwing an error message.

Note
  This is also a base class for all error messages in zenilib.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 52 of file Error.h.

## Constructor & Destructor Documentation

Zeni::Error::Error | ( | const String & | msg_ | ) |

inline

Definition at line 53 of file Error.h.

Zeni::Error::~Error | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 55 of file Error.h.

## Member Data Documentation

String Zeni::Error::msg

Definition at line 57 of file Error.h.

Referenced by main2().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/zenilib/zeni/Zeni/Error.h